Index: /anuga_work/production/hobart_2006/export_results.py
===================================================================
--- /anuga_work/production/hobart_2006/export_results.py	(revision 3625)
+++ /anuga_work/production/hobart_2006/export_results.py	(revision 3626)
@@ -7,5 +7,5 @@
 from os import sep
 
-time_dir = '20060706_235246' #MSL
+time_dir = '20060919_050831' #MSL
 directory = project.outputdir
 name = directory + time_dir + sep + 'source'
@@ -13,5 +13,6 @@
 #print 'Which variable do you want to export?'
 #which_var = int(raw_input('Stage = 0, Absolute Momentum = 1, Depth = 2, Speed = 3  '  ))
-which_var = 2
+which_var = 4 # for Hamish/Alex to compare
+#which_var = 2 # for Ingo/Neil to make maps
 
 if which_var == 0:  # Stage
Index: /anuga_work/production/hobart_2006/project.py
===================================================================
--- /anuga_work/production/hobart_2006/project.py	(revision 3625)
+++ /anuga_work/production/hobart_2006/project.py	(revision 3626)
@@ -13,9 +13,30 @@
 
 # data provided by Tas SES and checked by NM&I
-onshore_name = 'hobart_onshore' 
-offshore_name = 'hobart_offshore_points'
+onshore_name = 'hob3_topo' 
+offshore_name_tas1 = 'derwent_2m'
+offshore_name_tas2 = 'derwent_5m'
+offshore_name_tas3 = 'south_east_tas'
+offshore_name_tas4 = 'hobart_1m'
+
+# AHO data and checked by NM&I
+offshore_name1 = 'xy100003760'
+offshore_name2 = 'xy100003761'
+offshore_name3 = 'xy100003762'
+offshore_name4 = 'xy100003907'
+offshore_name5 = 'xy100003908'
+offshore_name6 = 'xy100003909'
+offshore_name7 = 'xy100003910'
+offshore_name8 = 'xy100003932'
+offshore_name9 = 'xy100003933'
+offshore_name10 = 'xy100003934'
+offshore_name11 = 'xy100003935'
+offshore_name12 = 'xy100003936'
+offshore_name13 = 'xy100003964'
+offshore_name14 = 'xy100014250'
+offshore_name15 = 'xy100014253'
+offshore_name16 = 'xy100016142'
 
 # developed by NM&I
-coast_name = 'hobart_coast'
+coast_name = 'coastline_points'
 
 boundary_basename = 'SU-AU_clip'
@@ -62,9 +83,26 @@
 
 meshname = outputtimedir + 'mesh_' + basename
-coarsedemname = datadir + coarsename
 
 onshore_dem_name = datadir + onshore_name
-offshore_dem_name_local = datadir + offshore_name_local
-offshore_dem_name_aho = datadir + offshore_name_fairsheets
+offshore_dem_name_local1 = datadir + offshore_name_tas1
+offshore_dem_name_local2 = datadir + offshore_name_tas2
+offshore_dem_name_local3 = datadir + offshore_name_tas3
+offshore_dem_name_local4 = datadir + offshore_name_tas4
+offshore_dem_name_aho1 = datadir + offshore_name1
+offshore_dem_name_aho2 = datadir + offshore_name2
+offshore_dem_name_aho3 = datadir + offshore_name3
+offshore_dem_name_aho4 = datadir + offshore_name4
+offshore_dem_name_aho5 = datadir + offshore_name5
+offshore_dem_name_aho6 = datadir + offshore_name6
+offshore_dem_name_aho7 = datadir + offshore_name7
+offshore_dem_name_aho8 = datadir + offshore_name8
+offshore_dem_name_aho9 = datadir + offshore_name9
+offshore_dem_name_aho10 = datadir + offshore_name10
+offshore_dem_name_aho11 = datadir + offshore_name11
+offshore_dem_name_aho12 = datadir + offshore_name12
+offshore_dem_name_aho13 = datadir + offshore_name13
+offshore_dem_name_aho14 = datadir + offshore_name14
+offshore_dem_name_aho15 = datadir + offshore_name15
+offshore_dem_name_aho16 = datadir + offshore_name16
 coast_dem_name = datadir + coast_name
 combined_dem_name = datadir + 'hobart_combined_elevation'
@@ -74,10 +112,9 @@
 # region to export
 e_min_area = 500000
-e_max_area = 540000
-n_min_area = 5220000
+e_max_area = 580000
+n_min_area = 5200000
 n_max_area = 5275000
 
-from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees,
-                        convert_points_from_latlon_to_utm
+from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees, convert_points_from_latlon_to_utm
                         
 # bounding box
@@ -96,5 +133,5 @@
 refzone = zone
 
-#Interior region - Hobart city area + glenorchy, Kingston
+#Interior region - Hobart city area + Glenorchy, Kingston
 i0 = [517000, 5267000]
 i1 = [517000, 5255000]
@@ -105,8 +142,8 @@
 i6 = [530000, 5244000]
 i7 = [530000, 5250000]
-i7 = [534000, 5254000]
-i7 = [520000, 5270000]
+i8 = [534000, 5254000]
+i9 = [520000, 5270000]
 
-poly_hobart = [i0, i1, i2, i3, i4, i5]
+poly_hobart = [i0, i1, i2, i3, i4, i5, i6, i7, i8, i9]
 
 # Tasman Peninsula
Index: /anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- /anuga_work/production/hobart_2006/run_hobart.py	(revision 3625)
+++ /anuga_work/production/hobart_2006/run_hobart.py	(revision 3626)
@@ -21,11 +21,9 @@
 
 # Related major packages
-from anuga.pyvolution.shallow_water import Domain, Reflective_boundary, \
+from anuga.shallow_water import Domain, Reflective_boundary, \
                             Dirichlet_boundary, Time_boundary, File_boundary
-from anuga.pyvolution.data_manager import convert_dem_from_ascii2netcdf, dem2pts
-from anuga.pyvolution.combine_pts import combine_rectangular_points_files 
-from anuga.pyvolution.pmesh2domain import pmesh_to_domain_instance
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
 from anuga.geospatial_data.geospatial_data import *
-from anuga.pyvolution.util import Screen_Catcher
+from anuga.abstract_2d_finite_volumes.util import Screen_Catcher
 
 # Application specific imports
@@ -41,5 +39,5 @@
     mkdir (project.outputtimedir)
 copy (project.codedirname, project.outputtimedir + project.codename)
-copy (project.codedir + 'run_onslow.py', project.outputtimedir + 'run_onslow.py')
+copy (project.codedir + 'run_hobart.py', project.outputtimedir + 'run_hobart.py')
 print'output dir', project.outputtimedir
 
@@ -59,6 +57,4 @@
 #
 # Convert ASC 2 DEM 2 PTS using source data and store result in source data
-# Do for coarse and fine data
-# Fine pts file to be clipped to area of interest
 #-------------------------------------------------------------------------------
 
@@ -70,7 +66,4 @@
 copied_files = False
 
-# files to be used
-files_used = [onshore_dem_name, offshore_points, coast_points,]
-
 # creates DEM from asc data
 convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
@@ -79,15 +72,32 @@
 dem2pts(onshore_dem_name, use_cache=True, verbose=True)
 
-print'create G1'
-G1 = Geospatial_data(file_name = project.offshore_dem_name_local + '.xya')
-print'create G2'
-G2 = Geospatial_data(file_name = project.offshore_dem_name_aho + '.xya')
-print'create G3'
-G3 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
-print'create G4'
-G4 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
-print'add G1+G2+G3+G4'
-G = G1 + G2 + G3 + G4
-print'export G'
+print 'local offshore data sets'
+G1 = Geospatial_data(file_name = project.offshore_dem_name_local1 + '.xya')
+#G2 = Geospatial_data(file_name = project.offshore_dem_name_local2 + '.xya')
+G3 = Geospatial_data(file_name = project.offshore_dem_name_local3 + '.xya')
+G4 = Geospatial_data(file_name = project.offshore_dem_name_local4 + '.xya')
+print 'aho offshore data sets'
+G5 = Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
+G6 = Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')
+G7 = Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')
+G8 = Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')
+G9 = Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')
+G10 = Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')
+G11 = Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')
+G12 = Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')
+G13 = Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')
+G14 = Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')
+G15 = Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')
+G16 = Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')
+G17 = Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')
+G18 = Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')
+G19 = Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')
+G20 = Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')
+print 'local onshore dem'
+G21 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
+print 'coast'
+G22 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
+print 'adding data sets'
+G = G3+G4+G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20+G21+G22
 G.export_points_file(project.combined_dem_name + '.pts')
 
@@ -101,7 +111,7 @@
 
 # use 75 for onshore components (12.5m DEM)
-island_res = 10000
-hobart_res = 10000
-peninsular_res = 10000
+island_res = 35000
+hobart_res = 35000
+peninsula_res = 35000
 interior_regions = [[project.poly_hobart, hobart_res],
                     [project.poly_tasman_peninsula, peninsula_res],
@@ -115,5 +125,5 @@
           {'boundary_tags': {'bottom': [0], 'right': [1],
                              'top': [2], 'left': [3]},
-           'maximum_triangle_area': 100000,
+           'maximum_triangle_area': 250000,
            'filename': meshname,           
            'interior_regions': interior_regions},
@@ -124,8 +134,5 @@
 # Setup computational domain
 #-------------------------------------------------------------------------------                                 
-
-domain = pmesh_to_domain_instance(meshname, Domain,
-                                  use_cache = False,
-                                  verbose = True)
+domain = Domain(meshname, use_cache = False, verbose = True)
 
 print 'Number of triangles = ', len(domain)
@@ -161,5 +168,5 @@
 #-------------------------------------------------------------------------------
 print 'start ferret2sww'
-from anuga.pyvolution.data_manager import ferret2sww
+from anuga.shallow_water.data_manager import ferret2sww
 '''
 south = project.south 
@@ -198,5 +205,5 @@
 
 #Bf = File_boundary(source_dir + project.boundary_basename + '.sww', 
-                    domain, verbose = True)
+#                    domain, verbose = True)
 Br = Reflective_boundary(domain)
 Bd = Dirichlet_boundary([tide,0,0])