Index: anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- anuga_work/production/hobart_2006/run_hobart.py	(revision 3642)
+++ anuga_work/production/hobart_2006/run_hobart.py	(revision 3650)
@@ -24,4 +24,5 @@
                             Dirichlet_boundary, Time_boundary, File_boundary
 from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.abstract_2d_finite_volumes.combine_pts import combine_rectangular_points_files 
 from anuga.geospatial_data.geospatial_data import *
 from anuga.abstract_2d_finite_volumes.util import Screen_Catcher
@@ -61,4 +62,5 @@
 # filenames
 onshore_dem_name = project.onshore_dem_name
+onshore_dem_name_25 = project.onshore_dem_name_25
 meshname = project.meshname+'.msh'
 source_dir = project.boundarydir
@@ -69,8 +71,19 @@
 convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
 
-#creates pts file for onshore DEM
-dem2pts(onshore_dem_name, use_cache=True, verbose=True)
-
-print 'local offshore data sets'
+#creates pts file for onshore DEM - 12.5
+dem2pts(onshore_dem_name,
+        easting_min=project.eastingmin,
+        easting_max=project.eastingmax,
+        northing_min=project.northingmin,
+        northing_max= project.northingmax,
+        use_cache=True, verbose=True)
+
+#creates pts file for onshore DEM - 25
+dem2pts(onshore_dem_name_25, use_cache=True, verbose=True)
+
+combine_rectangular_points_files(project.onshore_dem_name + '.pts',
+                                 project.onshore_dem_name_25 + '.pts',
+                                 project.all_onshore_dem_name + '.pts')
+#print 'local offshore data sets'
 #G1 = Geospatial_data(file_name = project.offshore_dem_name_local1 + '.xya')
 #G2 = Geospatial_data(file_name = project.offshore_dem_name_local2 + '.xya')
@@ -78,29 +91,56 @@
 #G4 = Geospatial_data(file_name = project.offshore_dem_name_local4 + '.xya')
 #G11 = G1 + G2 + G3 + G4
-print 'aho offshore data sets'
-G5 = Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
-G6 = Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')
-G7 = Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')
-G8 = Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')
-G9 = Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')
-G10 = Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')
-G11 = Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')
-G12 = Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')
-G13 = Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')
-G14 = Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')
-G15 = Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')
-G16 = Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')
-G17 = Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')
-G18 = Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')
-G19 = Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')
-G20 = Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')
-G12 = G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20
-print 'local onshore dem'
-G21 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
+#print 'aho offshore data sets'
+#G5 = Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
+#G6 = Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')
+#G7 = Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')
+#G8 = Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')
+#G9 = Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')
+#G10 = Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')
+#G11 = Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')
+#G12 = Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')
+#G13 = Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')
+#G14 = Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')
+#G15 = Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')
+#G16 = Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')
+#G17 = Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')
+#G18 = Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')
+#G19 = Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')
+#G20 = Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')
+#G12 = G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20
+#print 'local onshore dem'
+#G21 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
 print 'coast'
-G22 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
-print 'adding data sets'
+#G22 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
+#print 'adding data sets'
 #G = G11 + G12 + G21 + G22
-G = G21
+#G = G1+G2+G3+G4+G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20+G21+G22
+#G = G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20+G21+G22
+#G = G21+G22+G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20
+#G = G21+G22+G5
+#G = Geospatial_data(file_name = project.onshore_dem_name + '.pts') #+ \
+#    Geospatial_data(file_name = project.coast_dem_name + '.xya') #+ \
+#    Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
+G = Geospatial_data(file_name = project.offshore_dem_name_local1 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local2 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local3 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local4 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')+\
+    Geospatial_data(file_name = project.all_onshore_dem_name + '.pts')
 G.export_points_file(project.combined_dem_name + '.pts')
 